SELECT id, pay_amount,
  CASE WHEN pay_type_code='S' THEN 'Salaried'
       WHEN pay_type_code='C' THEN 'Commissioned'
       WHEN pay_type_code='T' 
            AND pay_amount < 8 THEN 'Poorly Paid Temporary'
       WHEN pay_type_code='T' THEN 'Temporary'
       WHEN pay_type_code='H' THEN 'Hourly'
       ELSE 'Unknown Pay Type'
   END
  FROM employee
/
